%global momorel 1

Name:           perl-Net-DNS-SEC
Version:        0.15
Release:        %{momorel}m%{?dist}
Summary:        DNSSEC modules for Perl
License:        GPL+ or Artistic 
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Net-DNS-SEC/
Source0:	http://www.cpan.org/modules/by-module/Net/Net-DNS-SEC-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:	perl
BuildRequires:  perl-ExtUtils-MakeMaker
BuildRequires:  perl-Net-DNS
BuildRequires:  perl-Crypt-OpenSSL-RSA
BuildRequires:  perl-Crypt-OpenSSL-Bignum
BuildRequires:  perl-Crypt-OpenSSL-DSA
BuildRequires:  perl-Digest-BubbleBabble
BuildRequires:  perl-Digest-SHA
BuildRequires:	perl-MIME-Base32

# neither are picked up automagically.
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
The Net::DSN::SEC suite provides the resource records that are needed
for DNSSEC (RFC 4033, 4034 and 4035).

It also provides support for SIG0. That later is useful for dynamic
updates using key-pairs.

RSA and DSA crypto routines are supported.

%prep
%setup -q -n Net-DNS-SEC-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README TODO
%doc demo/
%{perl_vendorlib}/Net/*
%{_mandir}/man3/*

%changelog
* Tue May  5 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.15-1m)
- update to 0.15

* Sun Feb 15 2009 NARITA Koichi <pulsar:momonga-linux.org>
- (0.14-2m)
- fix BuildRequres and duplications

* Tue Feb  3 2009 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.14-1m)
- import from Fedora to Momonga for dnssec-tools

* Thu Mar 06 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.14-3
Rebuild for new perl

* Wed Jul 11 2007  Wes Hardaker <wjhns174@hardakers.net> - 0.14-2
- BuildRequire Digest::SHA
- include the demo scripts in the documentation

* Wed Apr 18 2007  Wes Hardaker <wjhns174@hardakers.net> - 0.14-1
- Initial version
